Skip to main content

Authorizations


Overview

An airline authorization reserves funds for a ticket purchase before capture. A single authorization request can include multiple passenger tickets, and can include any ancillary purchases made at the same time as the ticket purchase. Because a single authorization can cover multiple tickets, each passenger ticket typically requires its own, separate capture request, and any ancillary purchase included in the same authorization typically requires its own, separate capture request as well.

Airline-specific data, such as passenger name, ticket number, and travel leg information, is optional for some processors and required for others, depending on the processor and, in some cases, the card type used.

Supported Processors

Supported processors (6)

American Express Direct, Chase Paymentech Solutions, FDC Nashville Global, Getnet, TSYS Acquiring Solutions,

Supported processors: Chase Paymentech Solutions, FDC Nashville Global,

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

This example shows a airline authorization.

{  "processingInformation": {    "industryDataType": "airline"  },  "paymentInformation": {    "card": {      "number": "4111111111111111",      "expirationMonth": "12",      "expirationYear": "2031"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "500.00",      "currency": "usd"    },    "billTo": {      "firstName": "John",      "lastName": "Doe",      "address1": "123 Happy St.",      "locality": "Sunny Town",      "administrativeArea": "CA",      "postalCode": "12345-1234",      "country": "US",      "email": "[email protected]"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6823009451126309503954/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6823009451126309503954"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6823009451126309503954/captures"    }  },  "clientReferenceInformation": {    "code": "1682300945230"  },  "id": "6823009451126309503954",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "500.00",      "currency": "usd"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "67720603YGMSE5JE",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-04-24T01:49:05Z"}

Processor-Specific Authorization Information

This list describes processor-specific authorization behavior:

American Express Direct

American Express Direct supports this transaction through Simple Order only. Its required fields appear in the Simple Order Authorizations reference.

Chase Paymentech Solutions

Airline data is not required for authorizations. A single authorization request can cover multiple tickets, with the authorized amount in the orderInformation.amountDetails.totalAmount field equal to the total of all fares, fees, and taxes.

You can include multiple passenger tickets in a single authorization request. However, you must submit a separate capture request with airline data for each passenger ticket.

When the customer makes ancillary purchases at the same time as the ticket purchase, you can include the ticket and the ancillary purchase in a single authorization request. However, you must submit separate captures for each ticket purchase and ancillary purchase.

FDC Nashville Global

Ticket purchases that include multiple passengers can be included in a single authorization request, however, recommends sending a separate capture request for each passenger.

If any ancillary purchases are made at the same time as the ticket purchase, you can include all the items in a single authorization request, however, recommends separating the ancillary and ticket purchases into individual capture requests.

If any ancillary purchases are not made at the same time as the ticket purchase, recommends separating the authorization and capture requests for the ancillary and ticket purchases.

When the card type is American Express, FDC Nashville Global also requires travel leg and passenger fields. See FDC Nashville Global Required Fields.

Getnet

Getnet supports this transaction through Simple Order only. Its required fields appear in the Simple Order Authorizations reference.

This table lists the card types that Getnet supports for an airline authorization:

Supported Card Types
American Express
Mastercard
Visa
TSYS Acquiring Solutions

TSYS Acquiring Solutions supports this transaction through Simple Order only. Its required fields appear in the Simple Order Authorizations reference.

Visa Platform Connect

Ticket purchases that include multiple passengers can be included in a single authorization request, but you must make separate capture requests for every passenger.

If any ancillary purchases are made at the same time as the ticket purchase, you can include all items in a single authorization request, but you must separate the ancillary and ticket purchases into their own capture requests.

If any ancillary purchases are made not at the same time as the ticket purchase, you must send separate authorization and capture requests for the ancillary and ticket purchases.

Processor-Specific Authorization Information

This list describes processor-specific authorization behavior:

Chase Paymentech Solutions

Airline data is not required for authorizations. A single authorization request can cover multiple tickets, with the authorized amount in the orderInformation.amountDetails.totalAmount field equal to the total of all fares, fees, and taxes.

You can include multiple passenger tickets in a single authorization request. However, you must submit a separate capture request with airline data for each passenger ticket.

When the customer makes ancillary purchases at the same time as the ticket purchase, you can include the ticket and the ancillary purchase in a single authorization request. However, you must submit separate captures for each ticket purchase and ancillary purchase.

FDC Nashville Global

Ticket purchases that include multiple passengers can be included in a single authorization request, however, recommends sending a separate capture request for each passenger.

If any ancillary purchases are made at the same time as the ticket purchase, you can include all the items in a single authorization request, however, recommends separating the ancillary and ticket purchases into individual capture requests.

If any ancillary purchases are not made at the same time as the ticket purchase, recommends separating the authorization and capture requests for the ancillary and ticket purchases.

When the card type is American Express, FDC Nashville Global also requires travel leg and passenger fields. See FDC Nashville Global Required Fields.

Visa Platform Connect

Ticket purchases that include multiple passengers can be included in a single authorization request, but you must make separate capture requests for every passenger.

If any ancillary purchases are made at the same time as the ticket purchase, you can include all items in a single authorization request, but you must separate the ancillary and ticket purchases into their own capture requests.

If any ancillary purchases are made not at the same time as the ticket purchase, you must send separate authorization and capture requests for the ancillary and ticket purchases.

Required Fields

These fields are required for , Chase Paymentech Solutions, and FDC Nashville Global unless a processor-specific section indicates otherwise. American Express Direct, Getnet, and TSYS Acquiring Solutions support this transaction through Simple Order only, so their required fields appear in the Simple Order Authorizations reference.

FieldTypeDescription
orderInformation.amountDetails.currencyThe currency used for the order, in ISO 4217 format.
orderInformation.amountDetails.totalAmountThe total amount for the order, including all fares, fees, and taxes.
orderInformation.billTo.address1The first line of the billing street address.
orderInformation.billTo.administrativeAreaThe state or province of the billing address.
orderInformation.billTo.countryThe country of the billing address.
orderInformation.billTo.emailThe email address associated with the billing information.
orderInformation.billTo.firstNameThe first name of the bill-to person.
orderInformation.billTo.lastNameThe last name of the bill-to person.
orderInformation.billTo.localityThe city of the billing address.
orderInformation.billTo.postalCodeThe postal code of the billing address.
paymentInformation.card.expirationMonthThe two-digit month of the card expiration date.
paymentInformation.card.expirationYearThe four-digit year of the card expiration date.
paymentInformation.card.numberThe customer's payment card number.

In addition to the default required fields, Chase Paymentech Solutions also requires these fields. Chase Paymentech Solutions does not require processingInformation.industryDataType.

Chase Paymentech Solutions Required Fields
FieldTypeDescription
clientReferenceInformation.codeYour reference code for the order.
paymentInformation.card.typeThe three-digit value that indicates the card type.

FDC Nashville Global Required Fields

In addition to the default required fields, FDC Nashville Global also requires these fields. When the card type is American Express, FDC Nashville Global also requires the additional fields noted below.

Required Fields
FieldTypeDescription
clientReferenceInformation.codeYour reference code for the order.
paymentInformation.card.typeThe three-digit value that indicates the card type.
processingInformation.industryDataTypeSet the value to airline.
orderInformation.shipTo.firstNameRequired when the card type is American Express.
travelInformation.transit.airline.passengerNameRequired when the card type is American Express.
travelInformation.transit.airline.legs[].carrierCodeRequired when the card type is American Express.
travelInformation.transit.airline.legs[].departureDateRequired when the card type is American Express.
travelInformation.transit.airline.legs[].originatingAirportCodeRequired when the card type is American Express.
travelInformation.transit.airline.legs[].destinationAirportCodeRequired when the card type is American Express.
travelInformation.transit.airline.legs[].fareBasisRequired when the card type is American Express.

In addition to the default required fields, also requires this field.

Visa Platform Connect Required Fields
FieldTypeDescription
processingInformation.industryDataTypeSet the value to airline.

Last published: September 29, 2026